#
# Conditional build:
%bcond_without	gtk3		# build with gtk+3 (disables gtk2 support)
#
Summary:	Appfinder for the Xfce Desktop Environment
Summary(pl.UTF-8):	Wyszukiwarka aplikacji dla środowiska Xfce
Name:		xfce4-appfinder
Version:	4.12.0
Release:	1
License:	GPL
Group:		X11/Applications
Source0:	http://archive.xfce.org/src/xfce/xfce4-appfinder/4.12/%{name}-%{version}.tar.bz2
# Source0-md5:	0b238b30686388c507c119b12664f1a1
URL:		http://www.xfce.org/projects/xfce4-appfinder
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	garcon-devel >= 0.4.0
BuildRequires:	gettext-tools
BuildRequires:	glib2-devel >= 1:2.30.0
%{!?with_gtk3:BuildRequires:	gtk+2-devel >= 2:2.24.0}
%{?with_gtk3:BuildRequires:	gtk+3-devel}
BuildRequires:	intltool
BuildRequires:	libtool
BuildRequires:	libxfce4ui-devel >= 4.12.0
BuildRequires:	libxfce4util-devel >= 4.12.0
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.601
BuildRequires:	xfce4-dev-tools >= 4.12.0
BuildRequires:	xfconf-devel >= 4.12.0
Requires:	garcon >= 0.4.0
Requires:	gtk-update-icon-cache
Requires:	hicolor-icon-theme
Requires:	xfconf >= 4.10.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
xfce4-appfinder shows system wide installed applications.

%description -l pl.UTF-8
xfce4-appfinder pokazuje aplikacje zainstalowane w systemie.

%prep
%setup -q

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__automake}
%{__autoconf}
%configure \
	%{__enable_disable gtk3} \
	--disable-silent-rules

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/locale/ur_PK

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/xfce4-appfinder
%attr(755,root,root) %{_bindir}/xfrun4
%{_desktopdir}/xfce4-appfinder.desktop
%{_desktopdir}/xfce4-run.desktop
%{_datadir}/appdata/xfce4-appfinder.appdata.xml
%changelog
* Sun Mar 29 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xfce4-appfinder.git;a=log;h=master

* Sun Mar 29 2015 Jan Rękorajski <baggins@pld-linux.org> d0eda7e
- up to 4.12.0
- build with gtk3

* Sun Mar 22 2015 Elan Ruusamäe <glen@delfi.ee> cd6fbd8
- x32 rebuild
- release 2 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> a2e3622
- updated gettext BR

* Sun Aug 17 2014 Jan Rękorajski <baggins@pld-linux.org> f540968
- added bcond for building with gtk+3

* Fri Aug 15 2014 Jan Rękorajski <baggins@pld-linux.org> a878506
- up to 4.11.0

* Thu May 17 2012 Jan Rękorajski <baggins@pld-linux.org> d9016f8
- add xfrun4

* Thu May 17 2012 Jan Rękorajski <baggins@pld-linux.org> 762e4a2
- no icon

* Thu May 17 2012 Jan Rękorajski <baggins@pld-linux.org> ff18476
- update md5sum

* Thu May 17 2012 Jan Rękorajski <baggins@pld-linux.org> ee7481b
- 4.10.0

* Wed Feb 16 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 6914283
- merged from DEVEL

* Fri Feb 04 2011 Artur Frysiak <artur@frysiak.net> e294433
- Requires(post,postun): gtk-update-icon-cache

* Sun Nov 14 2010 Jan Rękorajski <baggins@pld-linux.org> c362381
- no ur_PK heer

* Sun Nov 14 2010 Jan Rękorajski <baggins@pld-linux.org> be5c7e7
- 4.6.2

* Mon Apr 27 2009 Adam Gołębiowski <adamg@pld-linux.org> 3eaf86c
- updated to 4.6.1

* Sat Feb 28 2009 Marcin Banasiak <marcin.banasiak@gmail.com> 56c66ff
- obsolete

* Sat Feb 28 2009 Marcin Banasiak <marcin.banasiak@gmail.com> bd0f558
- updated to 4.6.0
- removed obsolete -locale-names.patch

* Tue Oct 28 2008 Paweł Gołaszewski <blues@pld-linux.org> f9338da
- rel.1

* Mon Oct 27 2008 Paweł Gołaszewski <blues@pld-linux.org> e813fc1
- 4.4.3

* Sat Dec 08 2007 Marcin Banasiak <marcin.banasiak@gmail.com> 28be1e6
- updated for 4.4.2

* Sat Dec 08 2007 Marcin Banasiak <marcin.banasiak@gmail.com> 2fa2c0e
- updated to 4.4.2

